# Setup file for netboot programs
#
# $Id: netboot.config.in,v 1.10 2005/02/27 20:27:54 gkminix Exp $


#
#####################################################################
#
# User directory name
#
$set USERDIR %HOME%/.%PACKAGE%


#
#####################################################################
#
# General parameters for all programs
#
[general]

# Define netboot shared data directory
$if defined NETBOOT_DATA
  datadir  = %NETBOOT_DATA%
$else
  datadir  = %DATADIR%
$endif

# Define netboot non-shared data directory
$if defined NETBOOT_LIB
  libdir   = %NETBOOT_LIB%
$else
  libdir   = %LIBDIR%
$endif

# Define temporary files directory, use compiled-in default if no
# environment variable specified. The user can override this value
# with own configuration file.
$if defined NETBOOT_TMPDIR
  tempdir  = %NETBOOT_TMPDIR%
$else
 $if defined TMPDIR
  tempdir  = %TMPDIR%
 $endif
$endif

# Define user home directory
  homedir  = %USERDIR%

# Define netboot system database
$if defined NETBOOT_DATABASE
 $if equal $strsub(NETBOOT_DATABASE,0,3),"db@"
  $set DATABASE %NETBOOT_DATABASE%
 $else
  $set DATABASE "db@systemsfile[ro,opt]"
 $endif
$else
 $if defined HAVE_BDB
  $set DATABASE "db@systemsfile[ro,opt]:db@usersysdb[add,opt]"
 $else
  $set DATABASE "db@systemsfile[ro,opt]:db@usersysfile[add,opt]"
 $endif
$endif
  sysdb    = %DATABASE%


#
#####################################################################
#
# Define the systems database as a text file
#
[db:systemsfile]

$if defined NETBOOT_DATABASE
 $if not equal $strsub(NETBOOT_DATABASE,0,3),"db@"
  $set DBFILE NETBOOT_DATABASE
 $else
  $set DBFILE "//netboot.db"
 $endif
$else
 $set DBFILE "//netboot.db"
$endif
  filename  = %DBFILE%
  dbtype    = text file
  dbmode    = read-only


#
#####################################################################
#
# Define user systems database file
#
[db:usersysfile]
  filename  = systems.text
  lockfile  = systems.lock
  dbtype    = text file
  dbmode    = read-write


#
#####################################################################
#
# Define user systems database
#
[db:usersysdb]
  filename  = systems.bdb
  dbtype    = berkeley db
  dbmode    = read-write


#
#####################################################################
#
# Define the network driver information database as a text file
#
[db:netdrvfile]
  filename  = //netboot.drivers
  dbtype    = text file
  dbmode    = read-only


#
#####################################################################
#
# Define user network driver information database file
#
[db:userdrvfile]
  filename = drivers.text
  lockfile = drivers.lock
  dbtype   = text file
  dbmode   = read-write


#
#####################################################################
#
# Define user network driver information database
#
[db:userdrvdb]
  filename = drivers.bdb
  dbtype   = berkeley db
  dbmode   = read-write


#
#####################################################################
#
# General parameters for makerom program
#
[makerom:general]
$if defined NETBOOT_DRIVERS
  driverdb   = %NETBOOT_DRIVERS%
$else
 $if defined HAVE_BDB
  driverdb   = db@netdrvfile[ro]:db@userdrvdb[ro,opt]
 $else
  driverdb   = db@netdrvfile[ro]:db@userdrvfile[ro,opt]
 $endif
$endif
  md5sumfile = //netdrvr/MD5SUMS:%USERDIR%/netdrvr/MD5SUMS
  bindir     = //binaries
  netdrvdir  = //netdrvr:%USERDIR%/netdrvr
  utilsdir   = //misc://utils
  helpfile   = //makerom.help
  kernel     = kernel.bin
  rom        = rom.bin
  floppy     = floppy.bin
  instprog   = instdrv


#
#####################################################################
#
# General parameters for mknbi-mgl program
#
[mknbi-mgl:general]
  incpath   = //mglinclude:%USERDIR%/mglinclude
  outtype   = netboot
  maxerrors = 32


#
#####################################################################
#
# Include local additions to configuration file
#
$if defined NETBOOT_LIB
 $set LOCALCONFIG %NETBOOT_LIB%/config.local
$else
 $set LOCALCONFIG %LIBDIR%/config.local
$endif
$if exists %LOCALCONFIG%
 $include %LOCALCONFIG%
$endif


#
#####################################################################
#
# Include user configuration file
#
$if exists %USERDIR%/config
 $include %USERDIR%/config
$endif

